Watchlist Movies
curl --request GET \
--url https://api.themoviedb.org/4/account/{account_object_id}/movie/watchlist \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/4/account/{account_object_id}/movie/watchlist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/4/account/{account_object_id}/movie/watchlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/2w4xG178RpB4MDAIfTkqAuSJzec.jpg",
"genre_ids": [
12,
28,
878
],
"id": 11,
"original_language": "en",
"original_title": "Star Wars",
"overview": "Princess Leia is captured and held hostage by the evil Imperial forces in their effort to take over the galactic Empire. Venturesome Luke Skywalker and dashing captain Han Solo team together with the loveable robot duo R2-D2 and C-3PO to rescue the beautiful princess and restore peace and justice in the Empire.",
"popularity": 122.735,
"poster_path": "/6FfCtAuVAW8XJjZ7eWeLibRLWTw.jpg",
"release_date": "1977-05-25",
"title": "Star Wars",
"video": false,
"vote_average": 8.203,
"vote_count": 20920
}
],
"total_pages": 1,
"total_results": 1
}Watchlist Movies
This endpoint get a users movie watchlist.
GET
/
4
/
account
/
{account_object_id}
/
movie
/
watchlist
Watchlist Movies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
the page number
The ISO 639-1 code for the language
Available options:
created_at.asc, created_at.desc Response
200 - application/json
Watchlist Movies
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/2w4xG178RpB4MDAIfTkqAuSJzec.jpg",
"genre_ids": [12, 28, 878],
"id": 11,
"original_language": "en",
"original_title": "Star Wars",
"overview": "Princess Leia is captured and held hostage by the evil Imperial forces in their effort to take over the galactic Empire. Venturesome Luke Skywalker and dashing captain Han Solo team together with the loveable robot duo R2-D2 and C-3PO to rescue the beautiful princess and restore peace and justice in the Empire.",
"popularity": 122.735,
"poster_path": "/6FfCtAuVAW8XJjZ7eWeLibRLWTw.jpg",
"release_date": "1977-05-25",
"title": "Star Wars",
"video": false,
"vote_average": 8.203,
"vote_count": 20920
}
]
Example:
1
Example:
1
⌘I